//-----------------------------------------------------------------------------
// Copyright  1999, 2000 - Philip Howard - All rights reserved
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//-----------------------------------------------------------------------------
// package	avlmap
// homepage	http://phil.ipal.org/freeware/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	phil@ipal.org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------
// This file is best viewed using a fixed spaced font such as Courier
// and in a display at least 112 columns wide.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// G. M. Adelson-Velskii and E. M. Landis are the inventors of the algorithm
// bearing their initials, AVL.  Their algorithm for height-balanced binary
// search trees is the basis of the code in this package.  Some modification
// is made to the balancing operations, and features are added for practical
// purposes.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// file		avl_check_on.h
//
// purpose	Enable compile time inclusion of tree integrity checking
//		unless the symbol AVL_CHECK_OFF is defined.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// macro	avl_check
//
// purpose	Perform integrity check on a binary tree if the appropriate
//		compile time conditions are established.  Include the header
//		avl_check_off to disable it by default, or include the header
//		avl_check_on to enable it by default.
//-----------------------------------------------------------------------------
#ifndef __AVL_CHECK_ON__
#define __AVL_CHECK_ON__

#ifndef AVL_CHECK_OFF

#define avl_check(t)		avl_check_tree((t))

#else

#define avl_check(t)		0

#endif /* AVL_CHECK_OFF */

#endif /* __AVL_CHECK_ON__ */
